### R code from vignette source 'pim.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: pim.Rnw:162-165
###################################################
library(pimold)
data("FEVData")
head(FEVData)


###################################################
### code chunk number 2: pim.Rnw:168-173
###################################################
library('pimold')
pim.fit1 <- pim(FEV ~ Age*Smoke-1, data = FEVData, link="logit", 
  poset=lexiposet, estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular")
pim.fit1


###################################################
### code chunk number 3: pim.Rnw:190-191
###################################################
summary(pim.fit1)


###################################################
### code chunk number 4: pim.Rnw:195-196
###################################################
plot(pim.fit1)


###################################################
### code chunk number 5: pim.Rnw:200-203
###################################################
coef(pim.fit1)
vcov(pim.fit1)
head(fitted.values(pim.fit1))


###################################################
### code chunk number 6: pim.Rnw:214-216
###################################################
data("MHData")
head(MHData)


###################################################
### code chunk number 7: pim.Rnw:219-223
###################################################
pim.fit2a <- pim(mental ~ ses + life -1, data = MHData, link="logit", 
  poset=lexiposet, estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular")
summary(pim.fit2a)


###################################################
### code chunk number 8: pim.Rnw:244-249
###################################################
pim.fit2b <- pim(mental ~ ses + life + L(ses) + L(life) - 1, data = MHData,  
  link="logit", poset=lexiposet,  
  estimator=estimator.nleqslv(),keep.data=TRUE, 
  interpretation="regular")
summary(pim.fit2b)


###################################################
### code chunk number 9: pim.Rnw:265-266
###################################################
data("Engeldata")


###################################################
### code chunk number 10: pim.Rnw:269-277
###################################################
pim.fit3 <- pim(foodexp ~ I((R(income)-L(income))/sqrt(R(income)+L(income)))-1, 
  data = Engeldata, link="logit", poset=lexiposet, 
  estimator=estimator.nleqslv(), 
  keep.data=TRUE, interpretation="regular", 
  extra.nicenames=data.frame(
    org="I((R(income)-L(income))/sqrt(R(income)+L(income)))", 
    nice="weightedincomediff", stringsAsFactors=FALSE))
summary(pim.fit3)				


###################################################
### code chunk number 11: pim.Rnw:303-311
###################################################
n <- 100
X <- ordered(sample(LETTERS[1:3], n, replace = TRUE))
Y <- model.matrix(~ X)%*%c(1,2,3) + rnorm(n)
data.tmp <- data.frame(Y, X)
pim.fit4 <- pim(Y ~ X-1, data = data.tmp, link = "probit", poset=lexiposet, 
  estimator=estimator.nleqslv(), keep.data=TRUE, 
  interpretation="regular")
summary(pim.fit4)


